Package: org.codehaus.groovy.classgen

## [Java] Class ClassCompletionVerifier

- org.codehaus.groovy.classgen.ClassCompletionVerifier

-     public class ClassCompletionVerifier
      extends ClassCodeVisitorSupport

  Checks that a class satisfies various conditions including:

  - Incorrect class or method access modifiers
  - No abstract methods appear in a non-abstract class
  - Existence and correct visibility for inherited members
  - Invalid attempts to override final members

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassCompletionVerifier(SourceUnit source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `getClassNode()`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `public void` | `visitBinaryExpression(BinaryExpression expression)`
    `` | `public void` | `visitCatchStatement(CatchStatement cs)`
    `` | `public void` | `visitClass(ClassNode node)`
    `` | `public void` | `visitConstantExpression(ConstantExpression expression)`
    `` | `public void` | `visitConstructor(ConstructorNode node)`
    `` | `public void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `public void` | `visitField(FieldNode node)`
    `` | `public void` | `visitForLoop(ForStatement fs)`
    `` | `public void` | `visitGStringExpression(GStringExpression expression)`
    `` | `public void` | `visitMethod(MethodNode node)`
    `` | `public void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `` | `public void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitStatementAnnotations, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public ClassCompletionVerifier(SourceUnit source)

  - ### Method Detail

    - #### public ClassNode getClassNode()

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitBinaryExpression(BinaryExpression expression)

    - #### public void visitCatchStatement(CatchStatement cs)

    - #### public void visitClass(ClassNode node)

    - #### public void visitConstantExpression(ConstantExpression expression)

    - #### public void visitConstructor(ConstructorNode node)

    - #### public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitField(FieldNode node)

    - #### public void visitForLoop(ForStatement fs)

    - #### public void visitGStringExpression(GStringExpression expression)

    - #### public void visitMethod(MethodNode node)

    - #### public void visitMethodCallExpression(MethodCallExpression mce)

    - #### public void visitProperty(PropertyNode node)